Status: Resolved Priority: Should have

Author: Oliver Hader Category: Backend User Interface
Updated: 2012-11-20 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity: easy

Is Regression:
Sprint Focus:

Subject: File Reference cannot be used to disable specific meta data

Description

The meta data (like description, caption, ...) in File References cannot be used to disable the inherited data from the parent File
object. Currently values can be blank which results in using data from the parent. To really override by using blanks, the new NULL
feature for TCA fields needs to be used.

Related issues:
related to Core - Feature # 41773: Add possibility to store NULL values Resolved 2012-10-09

Associated revisions

Revision 35122aed - 2012-11-20 18:57 - Oliver Hader

[BUGIFX] File Reference cannot be used to disable specific meta data

The meta data (like description, title, ...) in File References
cannot be used to disable the inherited data from the parent
File object. Currently values can be blank which results in
using data from the parent. To really override by using blanks,
the new NULL feature for TCA fields needs to be used.

Change-Id: 161e5f5e6a0d848e95e2e0402913778ef9f63a093
Fixes: #43132
Releases: 6.0

Reviewed-on: http://review.typo3.org/16602

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2012-11-20 14:27 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16602

#2 - 2012-11-20 19:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:35122aedb6bd5acef8de95ecdfeeae3254303abb.
